package com.hys.app.controller.erp.use;

import com.hys.app.controller.erp.use.msg.MailSmtpUtil;
import io.swagger.annotations.Api;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Api(tags = "外部接口调用")
@RestController
@RequestMapping("/apis")
@Validated
public class ExternalCallController {

    @GetMapping("/SMS/email")
    public boolean toEmail(@RequestParam("email")String email, @RequestParam("title")String title, @RequestParam("content")String content) {
        return MailSmtpUtil.sendEmail(email, title, content);
    }

}
